#!/bin/bash
# ===============================================================
#
# PACKAGE MANAGER: PAMAC
# Manjaro
#
# included by ../check_packages2install
#
# ---------------------------------------------------------------
# ah <axel.hahn@iml.unibe.ch>
# 2022-06-03  v1.0  ah  first version
# 2022-06-07  v1.1  ah  rename functions
# 2023-10-20  v1.2  ah  harden sudo command execution
# ===============================================================

# ---------------------------------------------------------------
# command to list of updates
function pamac.getUpdates(){
    sudo -n pamac checkupdates
}

# ---------------------------------------------------------------
# extract list of packages 2 install
# global  string  packagemanOut  output of update lister command
function pamac.getPackageList(){
     echo "$packagemanOut" | grep -- '->'
}

# ---------------------------------------------------------------
