## Check Ceph diskfree

Script: `check_ceph_diskfree`

It is a plugin to show the available and free diskspace.
It returns a single line for the status, data and performance data.

## Requirements

* `ceph` binary and sudo permission on it to get the information

```txt
icingaclient ALL=(ALL) NOPASSWD: /bin/ceph
```

## Syntax

```txt
$ check_ceph_diskfree -h
______________________________________________________________________

CHECK_CEPH_DISKFREE 
v1.6

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3
______________________________________________________________________

Show available and free space on a ceph cluster.
This check sends performance data.

It uses 'ceph df' to parse data.

SYNTAX:
check_ceph_diskfree

OPTIONS:
    -h or --help   show this help.
```

### Parameters

(none)

## Examples

`$ check_ceph_diskfree` returns

```txt
OK: Disksize on Ceph cluster and its pools - warnings: 0 (70 %) .. critcal: 0 (90 %)

           --- RAW STORAGE ---
           CLASS    SIZE   AVAIL     USED  RAW USED  %RAW USED
OK         ssd    54 TiB  47 TiB  7.0 TiB   7.0 TiB      13.12
OK         TOTAL  54 TiB  47 TiB  7.0 TiB   7.0 TiB      13.12

           --- POOLS ---
           POOL  ID  PGS   STORED  OBJECTS     USED  %USED  MAX AVAIL
OK         .mgr   1    1  104 MiB       27  311 MiB      0     14 TiB
OK         one    2  128  2.3 TiB  617.97k  7.0 TiB  14.48     14 TiB
 |global-total=59373627899904;;;0;59373627899904 global-avail=51677046505472;;;0;59373627899904 global-used=7696581394432;;;0;59373627899904
```
